<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getCityEstimatedPopulation](./bitburner.bladeburner.getcityestimatedpopulation.md)

## Bladeburner.getCityEstimatedPopulation() method

Get estimated population in city.

**Signature:**

```typescript
getCityEstimatedPopulation(city: CityName): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  city | [CityName](./bitburner.cityname.md) | Name of city. Case-sensitive |

**Returns:**

number

Estimated number of Synthoids in the specified city.

## Remarks

RAM cost: 4 GB

Returns the estimated number of Synthoids in the specified city, or -1 if an invalid city was specified.

